JNDIRealm.JNDIConnection (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.catalina.realm, class: JNDIRealm, class: JNDIConnection

# Class JNDIRealm.JNDIConnection

java.lang.Object
org.apache.catalina.realm.JNDIRealm.JNDIConnection

Enclosing class:
  `JNDIRealm`

protected static class JNDIRealm.JNDIConnection extends Object
Class holding the connection to the directory plus the associated non thread safe message formats.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `DirContext`
  `context`
  The directory context linking us to our directory server.
  `MessageFormat`
  `roleBaseFormat`
  The MessageFormat object associated with the current `roleBase`.
  `MessageFormat`
  `roleFormat`
  The MessageFormat object associated with the current `roleSearch`.
  `boolean`
  `roleFormatUsesUserRoleAttribute`
  A flag that indicates that roleSearch includes a reference to the {2} placeholder.
  `MessageFormat[]`
  `userPatternFormatArray`
  An array of MessageFormat objects associated with the current `userPatternArray`.
  `MessageFormat`
  `userSearchFormat`
  The MessageFormat object associated with the current `userSearch`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `JNDIConnection()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userSearchFormat

    public MessageFormat userSearchFormat
    The MessageFormat object associated with the current `userSearch`.

  - ### userPatternFormatArray

    public MessageFormat[] userPatternFormatArray
    An array of MessageFormat objects associated with the current `userPatternArray`.

  - ### roleBaseFormat

    public MessageFormat roleBaseFormat
    The MessageFormat object associated with the current `roleBase`.

  - ### roleFormat

    public MessageFormat roleFormat
    The MessageFormat object associated with the current `roleSearch`.

  - ### roleFormatUsesUserRoleAttribute

    public boolean roleFormatUsesUserRoleAttribute
    A flag that indicates that roleSearch includes a reference to the {2} placeholder.

  - ### context

    public DirContext context
    The directory context linking us to our directory server.

- ## Constructor Details

  - ### JNDIConnection

    protected JNDIConnection()